Android - " analisi dei dati per android - 21 non è riuscito "

? warbi @ | Original: StackOverFlow
---

Aveva il seguente errore in Eclipse dopo l'installazione di Android 5.0 ( SDK 21 )

" Caricamento dei dati per Android 5.0 " ha riscontrato un problema .

Analisi dei dati per android- 21 non è riuscito   supportato major.minor versione 51.0

---

Top 5 Risposta

1warbi @

Provare a installare JDK 1.8 e ricaricare Eclipse .

http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html

2Amit P @

Inizialmente stavo affrontando lo stesso problema . Ho aggiornato a JDK1.7 . Ancora problema persiste . Ciò è dovuto al fatto che qualche tempo eclissi takees l' sdk default 1.6 . Per risolvere questo :

Change the environmental path to point 1.7/1.8 Open Eclipse and goto windows tab-> preference Goto Java->complier and set Compiler compliance level to 1.7 and press apply. Then Goto Installed JRE Section. check if the installed jdk is listed and selected in the list. If not listed give the manual path using search. then select the jdk version and remove other versions in the list. in installed JRE go to execution environment and select the intended java se version and check it in compatible section Presss ok and restart Eclipse.

Questo dovrebbe risolvere il problema .